1. Credit Card Issuer
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Credit Card Issuer

Fee Query

Developing
POST
/v3/vcard/fee-config

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v3/vcard/fee-config' \
--header 'Content-Type: application/json' \
--data '{
    "sign": "",
    "card_type_id": "23" // optional
}'
Response Response Example
Example - mutiple data
{
    "code": 880001,
    "message": "success",
    "data": {
        "items": [
            {
                "id": 1,
                "merchant_id": 8820250900009,
                "card_type_id": "23",
                "open_card_fee_rate": 0.03,
                "open_card_fee_fixed": 10.99,
                "open_card_min_amount": 25,
                "recharge_fee_rate": 0.03,
                "recharge_fee_fixed": 0,
                "recharge_min_amount": 5,
                "created_at": "2026-03-10T09:55:11.764394+08:00",
                "updated_at": "2026-04-14T11:05:21.037312+08:00"
            },
            {
                "id": 2,
                "merchant_id": 8820250900009,
                "card_type_id": "39",
                "open_card_fee_rate": 0.03,
                "open_card_fee_fixed": 10.99,
                "open_card_min_amount": 25,
                "recharge_fee_rate": 0.03,
                "recharge_fee_fixed": 0,
                "recharge_min_amount": 20,
                "created_at": "2026-03-26T16:39:53.23969+08:00",
                "updated_at": "2026-03-26T16:39:53.23969+08:00"
            }
        ],
        "total": 2
    }
}
Modified at 2026-04-15 03:24:10
Previous
Transaction List
Next
Create Cardholder
Built with